org.apache.xerces.dom

## Class DOMImplementationImpl

- java.lang.Object
- - org.apache.xerces.dom.CoreDOMImplementationImpl
  - - org.apache.xerces.dom.DOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

Direct Known Subclasses:
  ASDOMImplementationImpl, DeferredDOMImplementationImpl, PSVIDOMImplementationImpl

    public class DOMImplementationImpl
    extends CoreDOMImplementationImpl
    implements org.w3c.dom.DOMImplementation

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: DOMImplementationImpl.java 809736 2009-08-31 20:43:19Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS

`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

### Constructor Summary

Constructors
Constructor and Description
`DOMImplementationImpl()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected CoreDocumentImpl` `createDocument(org.w3c.dom.DocumentType doctype)`
`static org.w3c.dom.DOMImplementation` `getDOMImplementation()` NON-DOM: Obtain and return the single shared object
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)` Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

### Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl

`assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.DOMImplementation

`createDocument, createDocumentType, getFeature`

### Constructor Detail

#### DOMImplementationImpl

    public DOMImplementationImpl()

### Method Detail

#### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

NON-DOM: Obtain and return the single shared object

#### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

Specified by:
  `hasFeature` in interface `org.w3c.dom.DOMImplementation`
Overrides:
  `hasFeature` in class `CoreDOMImplementationImpl`
Parameters:
  `feature` - The package name of the feature to test. In Level 1, supported values are "HTML" and "XML" (case-insensitive). At this writing, org.apache.xerces.dom supports only XML.
  `version` - The version number of the feature being tested. This is interpreted as "Version of the DOM API supported for the specified Feature", and in Level 1 should be "1.0"
Returns:
  true iff this implementation is compatable with the specified feature and version.

#### createDocument

    protected CoreDocumentImpl createDocument(org.w3c.dom.DocumentType doctype)

Overrides:
  `createDocument` in class `CoreDOMImplementationImpl`